summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-06-08 09:04:53 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-06-08 09:04:53 +0100
commit73c318acdaf6f8309d68bd266051e6dd1f1bd787 (patch)
tree2878053f3e7faed19a1f82c733d3bd29df69991e /eclass
parent2018227e9344edb9da15fc6a4a8298086cc2aa77 (diff)
gentoo resync : 08.06.2019
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin36801 -> 36794 bytes
-rw-r--r--eclass/darcs.eclass12
-rw-r--r--eclass/meson.eclass3
-rw-r--r--eclass/savedconfig.eclass2
-rw-r--r--eclass/texlive-common.eclass4
-rw-r--r--eclass/texlive-module.eclass10
6 files changed, 22 insertions, 9 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index cd43b545c745..e0a871ab0450 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/darcs.eclass b/eclass/darcs.eclass
index 489008a87f1e..09b718823670 100644
--- a/eclass/darcs.eclass
+++ b/eclass/darcs.eclass
@@ -85,8 +85,16 @@ SRC_URI=""
# --- end ebuild-configurable settings ---
-DEPEND="dev-vcs/darcs
- net-misc/rsync"
+case ${EAPI:-0} in
+ [0-6]) # no need to care about 5-HDEPEND and similar
+ DEPEND="dev-vcs/darcs
+ net-misc/rsync"
+ ;;
+ *)
+ BDEPEND="dev-vcs/darcs
+ net-misc/rsync"
+ ;;
+esac
# @FUNCTION: darcs_patchcount
# @DESCRIPTION:
diff --git a/eclass/meson.eclass b/eclass/meson.eclass
index b9562376b868..7c62cf44f787 100644
--- a/eclass/meson.eclass
+++ b/eclass/meson.eclass
@@ -1,4 +1,4 @@
-# Copyright 2017-2018 Gentoo Authors
+# Copyright 2017-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: meson.eclass
@@ -160,6 +160,7 @@ _meson_create_cross_file() {
objcpp = $(_meson_env_array "$(tc-getPROG OBJCXX c++)")
pkgconfig = '$(tc-getPKG_CONFIG)'
strip = $(_meson_env_array "$(tc-getSTRIP)")
+ windres = $(_meson_env_array "$(tc-getRC)")
[properties]
c_args = $(_meson_env_array "${CFLAGS} ${CPPFLAGS}")
diff --git a/eclass/savedconfig.eclass b/eclass/savedconfig.eclass
index c4a0ccdc8fa0..e0b1953d56d0 100644
--- a/eclass/savedconfig.eclass
+++ b/eclass/savedconfig.eclass
@@ -34,7 +34,7 @@ inherit portability
IUSE="savedconfig"
case ${EAPI} in
- [4-7]) ;;
+ [5-7]) ;;
*) die "EAPI=${EAPI:-0} is not supported" ;;
esac
diff --git a/eclass/texlive-common.eclass b/eclass/texlive-common.eclass
index 4b357897f12a..e9a2eee65bd3 100644
--- a/eclass/texlive-common.eclass
+++ b/eclass/texlive-common.eclass
@@ -140,7 +140,7 @@ dobin_texmf_scripts() {
etexmf-update() {
if has_version 'app-text/texlive-core' ; then
- if [ "$ROOT" = "/" ] && [ -x "${EPREFIX}"/usr/sbin/texmf-update ] ; then
+ if [ -z "${ROOT%/}" ] && [ -x "${EPREFIX}"/usr/sbin/texmf-update ] ; then
"${EPREFIX}"/usr/sbin/texmf-update
else
ewarn "Cannot run texmf-update for some reason."
@@ -158,7 +158,7 @@ etexmf-update() {
efmtutil-sys() {
if has_version 'app-text/texlive-core' ; then
- if [ "$ROOT" = "/" ] && [ -x "${EPREFIX}"/usr/bin/fmtutil-sys ] ; then
+ if [ -z "${ROOT%/}" ] && [ -x "${EPREFIX}"/usr/bin/fmtutil-sys ] ; then
einfo "Rebuilding formats"
"${EPREFIX}"/usr/bin/fmtutil-sys --all &> /dev/null
else
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 2b9fac4da173..c9faf39debd3 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: texlive-module.eclass
@@ -320,6 +320,10 @@ texlive-module_src_compile() {
esac
done
+ # Determine texlive-core version for fmtutil call
+ fmt_call="$(has_version '>=app-text/texlive-core-2019' \
+ && echo "fmtutil-user" || echo "fmtutil")"
+
# Build format files
for i in texmf-dist/fmtutil/format*.cnf; do
if [ -f "${i}" ]; then
@@ -327,14 +331,14 @@ texlive-module_src_compile() {
[ -d texmf-var ] || mkdir texmf-var
[ -d texmf-var/web2c ] || mkdir texmf-var/web2c
VARTEXFONTS="${T}/fonts" TEXMFHOME="${S}/texmf:${S}/texmf-dist:${S}/texmf-var"\
- env -u TEXINPUTS fmtutil --cnffile "${i}" --fmtdir "${S}/texmf-var/web2c" --all\
+ env -u TEXINPUTS $fmt_call --cnffile "${i}" --fmtdir "${S}/texmf-var/web2c" --all\
|| die "failed to build format ${i}"
fi
done
# Delete ls-R files, these should not be created but better be certain they
# do not end up being installed.
- find . -name 'ls-R' -delete
+ find . -name 'ls-R' -delete || die
}
# @FUNCTION: texlive-module_src_install